function _dataAccess()
{
  /**
   *  Propriedades da Classe
   *  ======================================================================= //
   */
  this.root = _getPathUnit("rpcStudio.js");
  this.path = this.root.substr(0, this.root.indexOf('lib_JS') ) + 'core/';


  this.teste1 = function( txt )
  {
    var callId = jsrsCall( this.path + "rpcServer.dataAccess.php",
                           "dataAccess._teste",
                           "dataAccess.up_date",
                           txt,
                           false );
    //alert('teste 1: ' + txt);
  }
  this._teste = function( text, callId )
  {
    alert( 'ret: ' + text );
  }

  this.upDate = function( txt )
  {
    var callId = jsrsCall( this.path + "rpcServer.dataAccess.php",
                           "dataAccess._upDate",
                           "dataAccess.up_date",
                           txt,
                           false);
    alert('tst 2: ' + txt);
  }
  this._upDate = function( text, callId )
  {
    alert( 'ret2: ' + text );
  }

}// End function _dataAccess()


var dataAccess = new _dataAccess(); // Pseudo static
